Bug 46693 - New Port: steak 1.7.3, an english <-> german dictionary u=
Summary: New Port: steak 1.7.3, an english <-> german dictionary u=
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-02 17:40 UTC by Heiner
Modified: 2003-02-15 16:34 UTC (History)
0 users

See Also:


Attachments
file.shar (9.66 KB, text/plain)
2003-01-02 17:40 UTC, Heiner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2003-01-02 17:40:06 UTC
Steak is a german <-> english translator under GPL.
A command line tool allows the translation of words in
both directions. Additionally steak can call ispell=20
to correct mistyped words.=20

If build with make -D xsteak ... a small xwindows=20
programm allows the translation of words interactively

WWW: http://www.tm.informatik.uni-frankfurt.de/%7Erazi/steak/steak.html
Comment 1 Heiner 2003-01-02 19:53:11 UTC
My Mailer again scrambled the attachment. Try this:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#=09steak
#=09steak/distinfo
#=09steak/Makefile
#=09steak/pkg-comment
#=09steak/pkg-descr
#=09steak/pkg-plist
#=09steak/files
#=09steak/files/patch-Poll:poll.c
#=09steak/files/patch-Makefile
#=09steak/files/patch-Poll:poll.C
#=09steak/files/patch-steak_install.sh
#
echo c - steak
mkdir -p steak > /dev/null 2>&1
echo x - steak/distinfo
sed 's/^X//' >steak/distinfo << 'END-of-steak/distinfo'
XMD5 (Steak.1.7.3.tar.bz2) =3D 907b1d320c34b578faa45b9a2dfb147d
END-of-steak/distinfo
echo x - steak/Makefile
sed 's/^X//' >steak/Makefile << 'END-of-steak/Makefile'
X# New ports collection makefile for:    steak
X# Date created:                         2003/01/02
X# Whom:                                 Heiner <h.eichmann@gmx.de>
X#
X#
X# Note:
X# The underlying package (steak) has a very unusual install procedure.
X# This port removes the user interaction and automizes the installation.
X#
X# BUT:
X# - the port does not support the PREFIX parameter
X# - Steak is always installed into /usr/local/Steak
X# - make -D xsteak ... additionally installs an xwindows client which=20
requires gtk1.2
X#
X# $FreeBSD$
X#
X
XPORTNAME=3D=09steak
XPORTVERSION=3D=091.7.3
XCATEGORIES=3D=09lang
XMASTER_SITES=3D=09${MASTER_SITE_SOURCEFORGE} \
X=09=09http://www.tm.informatik.uni-frankfurt.de/%7Erazi/steak/program/
XMASTER_SITE_SUBDIR=3D=09${PORTNAME}
XDISTNAME=3D=09Steak.${PORTVERSION}
X
XMAINTAINER=3D=09h.eichmann@gmx.de
X
XWRKSRC=3D=09=09${WRKDIR}/Steak
X
XRUN_DEPENDS=3D=09gawk:${PORTSDIR}/lang/gawk \
X=09=09ispell:${PORTSDIR}/textproc/ispell
X
XUSE_BZIP2=3D=09yes
X
X.include <bsd.port.mk>
END-of-steak/Makefile
echo x - steak/pkg-comment
sed 's/^X//' >steak/pkg-comment << 'END-of-steak/pkg-comment'
XAn english <-> german dictionary under the GPL
END-of-steak/pkg-comment
echo x - steak/pkg-descr
sed 's/^X//' >steak/pkg-descr << 'END-of-steak/pkg-descr'
XSteak is a german <-> english translator under GPL.
XA command line tool allows the translation of words in
Xboth directions. Additionally steak can call ispell=20
Xto correct mistyped words.=20
X
XIf build with make -D xsteak ... a small xwindows=20
Xprogramm allows the translation of words interactively
X
XWWW: http://www.tm.informatik.uni-frankfurt.de/%7Erazi/steak/steak.html
X
X--
Xh.eichmann@gmx.de
END-of-steak/pkg-descr
echo x - steak/pkg-plist
sed 's/^X//' >steak/pkg-plist << 'END-of-steak/pkg-plist'
Xbin/steak
XSteak/Datensatz/README
XSteak/Datensatz/datenbankaktualisieren.sh
XSteak/Datensatz/ger-eng.txt
XSteak/Datensatz/insert_my_words.txt
XSteak/README
XSteak/README.eng
XSteak/copyrights.txt
XSteak/help.txt
XSteak/iso2txt
XSteak/mini_steak_icon.xpm
XSteak/pinguin_steak_icon.xpm
XSteak/poll
XSteak/printbuffer
XSteak/spacefilter
XSteak/version.txt
XSteak/woerterbuch
X@unexec /bin/rm %D/Steak/xsteak 2>/dev/null || /usr/bin/true
X@unexec /bin/rm %D/Steak/.Steakconfig 2>/dev/null || /usr/bin/true
X@unexec /bin/rm %D/bin/xsteak 2>/dev/null || /usr/bin/true
X@unexec /bin/rm %D/Steak/INSTALL 2>/dev/null || /usr/bin/true
X@unexec /bin/rm %D/Steak/steak.xpm 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/Steak/Datensatz 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/Steak 2>/dev/null || /usr/bin/true
END-of-steak/pkg-plist
echo c - steak/files
mkdir -p steak/files > /dev/null 2>&1
echo x - steak/files/patch-Poll:poll.c
sed 's/^X//' >steak/files/patch-Poll:poll.c <<=20
'END-of-steak/files/patch-Poll:poll.c'
X*** Poll/poll.c.orig=09Mon Jul 29 01:35:10 2002
X--- Poll/poll.c=09Thu Jan  2 10:55:07 2003
X***************
X*** 26,32 ****
X    =20
X    =20
X     /*signal(SIGCLD, SIG_IGN);*/
X!    signal(SIGCLD, parent_terminate); =20
X    =20
X     /*printf("pid des Prozesses =3D %d, Parent-pid des Prozesses =3D=20
%d\n\n",getpid(), getppid());*/
X    =20
X--- 26,32 ----
X    =20
X    =20
X     /*signal(SIGCLD, SIG_IGN);*/
X!    signal(SIGCHLD, parent_terminate); =20
X    =20
X     /*printf("pid des Prozesses =3D %d, Parent-pid des Prozesses =3D=20
%d\n\n",getpid(), getppid());*/
X    =20
END-of-steak/files/patch-Poll:poll.c
echo x - steak/files/patch-Makefile
sed 's/^X//' >steak/files/patch-Makefile <<=20
'END-of-steak/files/patch-Makefile'
X*** Makefile.orig=09Tue Jan  4 03:37:16 2000
X--- Makefile=09Thu Jan  2 14:18:56 2003
X***************
X*** 1,4 ****
X! VERSIONSDATEI =3D version.txt=20
X  Name :=3D Steak.$(shell (head -1 $(VERSIONSDATEI) | cut -c15-))
X =20
X =20
X--- 1,4 ----
X! VERSIONSDATEI =3D version.txt
X  Name :=3D Steak.$(shell (head -1 $(VERSIONSDATEI) | cut -c15-))
X =20
X =20
X***************
X*** 6,15 ****
X =20
X  .PHONY: clean tar test
X =20
X! all:
X  =09cd Printbuffer/ ; \
X  =09$(MAKE)
X! =09cp Printbuffer/printbuffer .=20
X  =09cd Poll/ ; \
X  =09$(MAKE)
X  =09cp Poll/poll .
X--- 6,15 ----
X =20
X  .PHONY: clean tar test
X =20
X! all: clean
X  =09cd Printbuffer/ ; \
X  =09$(MAKE)
X! =09cp Printbuffer/printbuffer .
X  =09cd Poll/ ; \
X  =09$(MAKE)
X  =09cp Poll/poll .
X***************
X*** 18,28 ****
X  =09cp SpaceFilter/spacefilter .
X  =09cd Datensatz/ ; \
X  =09./datenbankaktualisieren.sh
X!=20
X!=20
X =20
X  clean:
X! =09rm -f *~ .*~ Datensatz/*~=20
X  =09cd SpaceFilter/ ; \
X  =09$(MAKE) clean
X  =09cd Printbuffer/ ; \
X--- 18,30 ----
X  =09cp SpaceFilter/spacefilter .
X  =09cd Datensatz/ ; \
X  =09./datenbankaktualisieren.sh
X! .ifdef(xsteak)
X! =09cd Xsteak/ ; \
X! =09make -f Makefile_gtk_1.2
X! .endif
X =20
X  clean:
X! =09rm -f *~ .*~ Datensatz/*~
X  =09cd SpaceFilter/ ; \
X  =09$(MAKE) clean
X  =09cd Printbuffer/ ; \
X***************
X*** 65,67 ****
X--- 67,76 ----
X  =09@echo
X  =09@./steak_install.sh
X  =09@echo
X+ .ifdef(xsteak)
X+ =09install -d /usr/local/Steak
X+ =09cd Xsteak/ ; \
X+ =09cp steak.xpm xsteak INSTALL /usr/local/Steak
X+ =09ln -s /usr/local/Steak/xsteak /usr/local/bin/xsteak
X+ .endif
X+=20
END-of-steak/files/patch-Makefile
echo x - steak/files/patch-Poll:poll.C
sed 's/^X//' >steak/files/patch-Poll:poll.C <<=20
'END-of-steak/files/patch-Poll:poll.C'
X*** Poll/poll.C.orig=09Tue Jan  4 03:11:05 2000
X--- Poll/poll.C=09Thu Jan  2 10:55:16 2003
X***************
X*** 27,33 ****
X    =20
X    =20
X     //signal(SIGCLD, SIG_IGN);
X!    signal(SIGCLD, parent_terminate); =20
X    =20
X     //printf("pid des Prozesses =3D %d, Parent-pid des Prozesses =3D=20
%d\n\n",getpid(), getppid());
X    =20
X--- 27,33 ----
X    =20
X    =20
X     //signal(SIGCLD, SIG_IGN);
X!    signal(SIGCHLD, parent_terminate); =20
X    =20
X     //printf("pid des Prozesses =3D %d, Parent-pid des Prozesses =3D=20
%d\n\n",getpid(), getppid());
X    =20
END-of-steak/files/patch-Poll:poll.C
echo x - steak/files/patch-steak_install.sh
sed 's/^X//' >steak/files/patch-steak_install.sh <<=20
'END-of-steak/files/patch-steak_install.sh'
X*** steak_install.sh.orig=09Tue Jan  4 03:37:16 2000
X--- steak_install.sh=09Thu Jan  2 17:03:09 2003
X***************
X*** 1,4 ****
X! #! /bin/bash
X =20
X  echo "Jetzt wird versucht das Woerterbuch-Programm \"steak\" auf Ihrem=
=20
System"
X  echo "zu installieren! Wenn Sie bei den Fragen auf ENTER druecken, wir=
d "
X--- 1,4 ----
X! #!/bin/sh
X =20
X  echo "Jetzt wird versucht das Woerterbuch-Programm \"steak\" auf Ihrem=
=20
System"
X  echo "zu installieren! Wenn Sie bei den Fragen auf ENTER druecken, wir=
d "
X***************
X*** 7,22 ****
X  echo
X  echo "Unter welchem Verzeichnis wollen Sie die Programme und den Daten=
satz"
X  echo "kopieren? [/usr/local/Steak]"
X! read SteakVERZEICHNIS
X =20
X  if [ -z $SteakVERZEICHNIS ]
X! then=20
X      SteakVERZEICHNIS=3D/usr/local/Steak
X  fi
X =20
X  mkdir "$SteakVERZEICHNIS"
X =20
X! cp -r Datensatz/ "$SteakVERZEICHNIS"
X  cp mini_steak_icon.xpm pinguin_steak_icon.xpm copyrights.txt help.txt=20
version.txt README README.eng iso2txt poll printbuffer spacefilter=20
=2ESteakconfig "$SteakVERZEICHNIS"
X =20
X =20
X--- 7,22 ----
X  echo
X  echo "Unter welchem Verzeichnis wollen Sie die Programme und den Daten=
satz"
X  echo "kopieren? [/usr/local/Steak]"
X! #read SteakVERZEICHNIS
X =20
X  if [ -z $SteakVERZEICHNIS ]
X! then
X      SteakVERZEICHNIS=3D/usr/local/Steak
X  fi
X =20
X  mkdir "$SteakVERZEICHNIS"
X =20
X! cp -R Datensatz/ "$SteakVERZEICHNIS"/Datensatz/
X  cp mini_steak_icon.xpm pinguin_steak_icon.xpm copyrights.txt help.txt=20
version.txt README README.eng iso2txt poll printbuffer spacefilter=20
=2ESteakconfig "$SteakVERZEICHNIS"
X =20
X =20
X***************
X*** 46,63 ****
X  patch $SteakVERZEICHNIS/.Steakconfig /tmp/diff$$
X  rm -f $SteakVERZEICHNIS/.Steakconfig.orig
X =20
X! rm /tmp/diff$$ /tmp/woerterbuch$$*=20
X  echo
X  echo "Ihre PATH-Variable beinhaltet folgende Verzeichnisse!"
X  echo "$PATH"
X  echo "Wo soll ein Link zu dem woerterbuch-Programm gesetzt werden,"
X  echo "damit Sie das Programm aufrufen koennen? [/usr/local/bin]"
X! read LINKVERZEICHNIS
X =20
X  if [ -z $LINKVERZEICHNIS ]
X! then=20
X      LINKVERZEICHNIS=3D/usr/local/bin
X! fi=20
X =20
X  rm -f $LINKVERZEICHNIS/woerterbuch $LINKVERZEICHNIS/steak
X  ln -s $SteakVERZEICHNIS/woerterbuch $LINKVERZEICHNIS/woerterbuch
X--- 46,63 ----
X  patch $SteakVERZEICHNIS/.Steakconfig /tmp/diff$$
X  rm -f $SteakVERZEICHNIS/.Steakconfig.orig
X =20
X! rm /tmp/diff$$ /tmp/woerterbuch$$*
X  echo
X  echo "Ihre PATH-Variable beinhaltet folgende Verzeichnisse!"
X  echo "$PATH"
X  echo "Wo soll ein Link zu dem woerterbuch-Programm gesetzt werden,"
X  echo "damit Sie das Programm aufrufen koennen? [/usr/local/bin]"
X! #read LINKVERZEICHNIS
X =20
X  if [ -z $LINKVERZEICHNIS ]
X! then
X      LINKVERZEICHNIS=3D/usr/local/bin
X! fi
X =20
X  rm -f $LINKVERZEICHNIS/woerterbuch $LINKVERZEICHNIS/steak
X  ln -s $SteakVERZEICHNIS/woerterbuch $LINKVERZEICHNIS/woerterbuch
END-of-steak/files/patch-steak_install.sh
exit
Comment 2 Tilman Keskinoz freebsd_committer 2003-01-25 13:36:49 UTC
State Changed
From-To: open->feedback

Hi, the share file got corrupted. Can you please resend it? 


Comment 3 Tilman Keskinoz freebsd_committer 2003-01-25 13:36:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

I will handle this.
Comment 4 Tilman Keskinoz freebsd_committer 2003-02-15 16:34:15 UTC
State Changed
From-To: feedback->closed

Committed, thanks